
import java.util.Scanner;

public class SmithWaterman {

    static double w(char a, char b) {
        if (a == '-' || b == '-') {
            return -0.6;
        } else if (a == b) {
            return 2;
        } else {
            return -1;
        }
    }

    static double max(double u, double l, double d) {
        if (d > u && d > l) {
            return d;
        } else if (u > l) {
            return u;
        } else {
            return l;
        }
    }

    static char dir(double u, double l, double d) {
        if (d > u && d > l) {
            return 'D';
        } else if (u > l) {
            return 'U';
        } else {
            return 'L';
        }
    }

    public static void main(String[] args) {
        String seq1 = "ACATACTA";
        String seq2 = "AGCACACA";
        String seqal1 = ""; // Tutaj przypisać sekwencje ze wstawionymi znakami -
        String seqal2 = "";

        int n = seq1.length();
        int m = seq2.length();

        char S1[] = new char[n + 1]; // sekwencje numerować będziemy od 1
        char S2[] = new char[m + 1];

        double H[][] = new double[n + 1][m + 1];
        char D[][] = new char[n + 1][m + 1]; // Pomocnicza tablica, która posłuży do odtworzenia ścieżki (czyli miejsc wstawień spacji)

        H[0][0] = 0;

        for (int i = 1; i <= n; i++) {
            S1[i] = seq1.charAt(i - 1);
            H[i][0] = 0;
            D[i][0] = 'U';
        }

        for (int j = 1; j <= m; j++) {
            S2[j] = seq2.charAt(j - 1);
            H[0][j] = 0;
            D[0][j] = 'L';
        }


// Tu wstawić rozwiązanie

        System.out.println("Wynik:" + H[n][m]);
        System.out.println(seqal1);
        System.out.println(seqal2);

    }
}
